Package twisted :: Package protocols :: Package jabber :: Module component

[frames | no frames]

## Module twisted.protocols.jabber.component

Classes
`ConnectComponentAuthenticator` | Authenticator to permit an XmlStream to authenticate against a Jabber Server as a Component (where the Authenticator is initiating the stream).
`IService` |
`ListenComponentAuthenticator` | Placeholder for listening components
`Service` |
`ServiceManager` | Business logic representing a managed component connection to a Jabber router

Function Summary
| ``buildServiceManager`(jid, password, strport)` Constructs a pre-built `component.ServiceManager`, using the specified strport string.
| `componentFactory(componentid, password)`

Function Details

### buildServiceManager(jid, password, strport)

Constructs a pre-built `component.ServiceManager`, using the specified strport string.

Generated by Epydoc 2.0 on Sat May 15 20:08:13 2004 | http://epydoc.sf.net